Debian Bug report logs - #725129
ITP: libio-pipely-perl -- create pipe() or pipe-like handles in a portable way

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Florian Schlichting <fsfs@debian.org>

Date: Tue, 1 Oct 2013 20:51:02 UTC

Owned by: Florian Schlichting <fsfs@debian.org>

Severity: wishlist

Fixed in version libio-pipely-perl/0.005-1

Done: Florian Schlichting <fsfs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#725129; Package wnpp. (Tue, 01 Oct 2013 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fsfs@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Tue, 01 Oct 2013 20:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fsfs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libio-pipely-perl -- create pipe() or pipe-like handles in a portable way
Date: Tue, 01 Oct 2013 22:48:51 +0200
Package: wnpp
Severity: wishlist
Owner: Florian Schlichting <fsfs@debian.org>

* Package name    : libio-pipely-perl
  Version         : 0.005
  Upstream Author : Rocco Caputo <rcaputo@cpan.org>
* URL             : https://metacpan.org/release/IO-Pipely
* License         : Artistic, GPL-1+
  Programming Lang: Perl
  Description     : create pipe() or pipe-like handles in a portable way

IO::Pipely provides a couple functions to portably create one- and
two-way pipes and pipe-like socket pairs. It acknowledges and works
around known platform issues so you don't have to.
.
IO::Pipely currently understands pipe(), UNIX-domain socketpair() and
regular IPv4 localhost sockets. It will use different kinds of pipes or
sockets depending on the operating system's capabilities and the number
of directions requested. The autodetection may be overridden by
specifying a particular pipe type.
.
IO::Pipely is a spin-off of the POE project's portable pipes. Earlier
versions of the code have been tested and used in production systems for
over a decade.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 02 Oct 2013 08:06:07 GMT) Full text and rfc822 format available.

Reply sent to Florian Schlichting <fsfs@debian.org>:
You have taken responsibility. (Fri, 01 Nov 2013 16:03:17 GMT) Full text and rfc822 format available.

Notification sent to Florian Schlichting <fsfs@debian.org>:
Bug acknowledged by developer. (Fri, 01 Nov 2013 16:03:17 GMT) Full text and rfc822 format available.

Message #12 received at 725129-close@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fsfs@debian.org>
To: 725129-close@bugs.debian.org
Subject: Bug#725129: fixed in libio-pipely-perl 0.005-1
Date: Fri, 01 Nov 2013 16:00:09 +0000
Source: libio-pipely-perl
Source-Version: 0.005-1

We believe that the bug you reported is fixed in the latest version of
libio-pipely-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 725129@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Schlichting <fsfs@debian.org> (supplier of updated libio-pipely-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 01 Oct 2013 23:07:53 +0200
Source: libio-pipely-perl
Binary: libio-pipely-perl
Architecture: source all
Version: 0.005-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Florian Schlichting <fsfs@debian.org>
Description: 
 libio-pipely-perl - portable way to create pipe() or pipe-like handles
Closes: 725129
Changes: 
 libio-pipely-perl (0.005-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #725129)
Checksums-Sha1: 
 75c22a5357d22abafcb6c82cd01dab8fee91ccad 2068 libio-pipely-perl_0.005-1.dsc
 abcfa9df6ab2a000ce85fa0c34835a5252fb4686 23928 libio-pipely-perl_0.005.orig.tar.gz
 c1ae6a5e3be5bba1f7923b9a0ebd139c1ee26952 1649 libio-pipely-perl_0.005-1.debian.tar.gz
 44f836855f8afb5258f3b0bfac255dcbfd47c4b6 13366 libio-pipely-perl_0.005-1_all.deb
Checksums-Sha256: 
 2b85728d444e6b69646fd37a1798818ebe30d406dc46f17d40c9a7aff4c4dd5e 2068 libio-pipely-perl_0.005-1.dsc
 e33b6cf5cb2b46ee308513f51e623987a50a89901e81bf19701dce35179f2e74 23928 libio-pipely-perl_0.005.orig.tar.gz
 0d90724d32c5a608d47c3c1e74100f88321642b136c0405c693f24a0d87aa232 1649 libio-pipely-perl_0.005-1.debian.tar.gz
 585576c92c1d095de551e03fc807f152767f3419563d00984101e2845601f911 13366 libio-pipely-perl_0.005-1_all.deb
Files: 
 438c4f0f24ceb9a44975c7fdc45c6953 2068 perl optional libio-pipely-perl_0.005-1.dsc
 86781d3e2afe5f142f67ce1fed3b9ed9 23928 perl optional libio-pipely-perl_0.005.orig.tar.gz
 04c8a6d2aad954c6c9fff1b46aadcdec 1649 perl optional libio-pipely-perl_0.005-1.debian.tar.gz
 3d451ad18f99393d3f00c120529ae5e6 13366 perl optional libio-pipely-perl_0.005-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSSzpjAAoJEBKXO25y3Ae1PK4P/2+R7VvLyg+VdvnCXvchc4Ze
Q8oNiynPxZrNTC7p2XIEkEcI2GlFIWbI7aKxduqv1pLWUVby5mCvRm+/tt2c/LiK
8ue8zpQC3pqdORqXuSGghr3bu+tDhC7SWBaLOEZQzxNZtKIsSWZTrvwDZFSfPGqp
S8FhTcw9PcvT3CN6gvQf7hFlTlY8G1HrxuDR411CyEnejgsmJqztn8jNtBXvEOed
178DksBDM6TLKVvtr6ZlyvR1TtInhYx1g7rQ3FqNhKit/HVIBSPJCsh0o9kS1IlV
uWcch/T3tT3Wl+nuU5TR28nc6LaGl/PeQo/6AveUTSyF2Q0Igacobz3DLnKUZ4Ew
7LGr8tqKth/aP2rIQNnZYgGADGG/frwBiokqT629Sv08dl2khEevZOHY5plBmSkQ
0GhX1J5m85bxJsvWLMFJPPI+BbURfzI7hiu3SByzWo2JhZQDrtyN+4cJQsOhwqJe
7DeO8j8N+FS/PPUr6pby0CGWNl8wyMDt7OKTMQvtJ3IXqeuJaH3gpclBvE01XApm
UgqSAYcfdywnlYUGpz0a5BTtPFK0HJfNH291De8vLannX/BPHjQlQDprk9UJpVsc
O8aAONrDUOXxX/4aMxLkS9rvJZDmfee24vmFxPuV/vHsur46hx5i/C7YZ+lVLADA
2Yh+0dSclOM1vk0xcokv
=ASxk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:40:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:51:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.